GrailsPlaceholderConfigurer (Grails 3.3.2)
Date: 2017-11-24

Package: org.grails.spring.context.support

## [Java] Class GrailsPlaceholderConfigurer

- org.grails.spring.context.support.GrailsPlaceholderConfigurer

- All Implemented Interfaces and Traits:
    GrailsConfigurationAware

      public class GrailsPlaceholderConfigurer
      extends org.springframework.context.support.PropertySourcesPlaceholderConfigurer

  Uses Grails' ConfigObject for place holder values.

  Authors:
    Graeme Rocher
  Since:
    1.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.springframework.context.support.PropertySourcesPlaceholderConfigurer` | `LOCAL_PROPERTIES_PROPERTY_SOURCE_NAME, ENVIRONMENT_PROPERTIES_PROPERTY_SOURCE_NAME, DEFAULT_PLACEHOLDER_PREFIX, DEFAULT_PLACEHOLDER_SUFFIX, DEFAULT_VALUE_SEPARATOR, HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`
    `class org.springframework.beans.factory.config.PlaceholderConfigurerSupport` | `DEFAULT_PLACEHOLDER_PREFIX, DEFAULT_PLACEHOLDER_SUFFIX, DEFAULT_VALUE_SEPARATOR, HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsPlaceholderConfigurer (java.lang.String placeHolderPrefix, java.util.Properties properties)`
    `GrailsPlaceholderConfigurer ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `doProcessProperties(org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactoryToProcess, org.springframework.util.StringValueResolver valueResolver)`
    `` | `java.util.Properties` | `getProperties()`
    `` | `protected void` | `loadProperties(java.util.Properties props)`
    `` | `void` | `setBeanFactory(org.springframework.beans.factory.BeanFactory beanFactory)`
    `` | `void` | `setBeanName(java.lang.String beanName)`
    `` | `void` | `setConfiguration(Config co)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.context.support.PropertySourcesPlaceholderConfigurer` | `org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setPropertySources(org.springframework.core.env.PropertySources), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#getAppliedPropertySources(), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setEnvironment(org.springframework.core.env.Environment), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setValueSeparator(java.lang.String), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setNullValue(java.lang.String), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setTrimValues(boolean), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setIgnoreUnresolvablePlaceholders(boolean), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setBeanName(java.lang.String), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setPlaceholderPrefix(java.lang.String), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setPlaceholderSuffix(java.lang.String), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setBeanFactory(org.springframework.beans.factory.BeanFactory), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#getOrder(), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setOrder(int), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setLocation(org.springframework.core.io.Resource), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setLocalOverride(boolean), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setPropertiesArray([Ljava.util.Properties;), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setLocations([Lorg.springframework.core.io.Resource;), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setIgnoreResourceNotFound(boolean), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setFileEncoding(java.lang.String), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setPropertiesPersister(org.springframework.util.PropertiesPersister), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setProperties(java.util.Properties), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#wait(long, int), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#wait(long), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#wait(), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#equals(java.lang.Object), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#toString(), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#hashCode(), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#getClass(), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#notify(), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#notifyAll()`
    `class org.springframework.beans.factory.config.PlaceholderConfigurerSupport` | `org.springframework.beans.factory.config.PlaceholderConfigurerSupport#setValueSeparator(java.lang.String), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#setNullValue(java.lang.String), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#setTrimValues(boolean), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#setIgnoreUnresolvablePlaceholders(boolean), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#setBeanName(java.lang.String), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#setPlaceholderPrefix(java.lang.String), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#setPlaceholderSuffix(java.lang.String), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#setBeanFactory(org.springframework.beans.factory.BeanFactory), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#getOrder(), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#setOrder(int), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#setLocation(org.springframework.core.io.Resource), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#setLocalOverride(boolean), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#setPropertiesArray([Ljava.util.Properties;), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#setLocations([Lorg.springframework.core.io.Resource;), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#setIgnoreResourceNotFound(boolean), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#setFileEncoding(java.lang.String), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#setPropertiesPersister(org.springframework.util.PropertiesPersister), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#setProperties(java.util.Properties), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#wait(long, int), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#wait(long), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#wait(), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#equals(java.lang.Object), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#toString(), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#hashCode(), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#getClass(), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#notify(), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#notifyAll()`

- - ### Constructor Detail

    - #### public GrailsPlaceholderConfigurer(java.lang.String placeHolderPrefix, java.util.Properties properties)

    - #### public GrailsPlaceholderConfigurer()

  - ### Method Detail

    - #### @java.lang.Override protected void doProcessProperties(org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactoryToProcess, org.springframework.util.StringValueResolver valueResolver)

    - #### public java.util.Properties getProperties()

    - #### @java.lang.Override protected void loadProperties(java.util.Properties props)

    - #### @java.lang.Override public void setBeanFactory(org.springframework.beans.factory.BeanFactory beanFactory)

    - #### @java.lang.Override public void setBeanName(java.lang.String beanName)

    - #### @java.lang.Override public void setConfiguration(Config co)